Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class GetMigrationPoints

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.GetMigrationPoints

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetMigrationPointsResult>, net.customware.gwt.dispatch.shared.Action<GetMigrationPointsResult>

    public class GetMigrationPoints

extends java.lang.Object
implements OSAction<GetMigrationPointsResult>

Retrieve a list of migration points for the specified process from the Engine.

This list represents all the possible migration points for the process as determined by the Process Engine.

These points can be used to set migration rules for a process by calling `SetMigrationRules`.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `GetMigrationPointsResult`

Constructor Summary
`GetMigrationPoints(java.lang.String moduleName, java.lang.String processName, java.lang.String version)` Construct a new GetMigratoinPoints Action

Method Summary
`java.lang.String` | `getModuleName()` Module name of the process.
`java.lang.String` | `getProcessName()` Name of the process.
`java.lang.String` | `getVersion()` Version of the process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMigrationPoints

    public GetMigrationPoints(java.lang.String moduleName,
                              java.lang.String processName,
                              java.lang.String version)

  Construct a new GetMigratoinPoints Action

  Parameters:
    `moduleName` - Module name of the process.
    `processName` - Name of the process.
    `version` - Version of the process.

Method Detail

### getModuleName

    public java.lang.String getModuleName()

  Module name of the process.

  Returns:
    Returns the moduleName.

### getProcessName

    public java.lang.String getProcessName()

  Name of the process.

  Returns:
    Returns the processName.

### getVersion

    public java.lang.String getVersion()

  Version of the process.

  Returns:
    Returns the version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.